Drop installation debconf note Closes: #685082
authorCédric Pineau <cedric.pineau@gmail.com>
Fri, 17 Aug 2012 10:34:52 +0000 (12:34 +0200)
committerCédric Pineau <cedric.pineau@gmail.com>
Fri, 17 Aug 2012 10:34:52 +0000 (12:34 +0200)
debian/changelog
debian/postinst [deleted file]
debian/prerm [deleted file]
debian/templates [deleted file]

index dab97f5..a7f6d49 100644 (file)
@@ -2,7 +2,9 @@ java-package (0.51) unstable; urgency=low
 
   * Add firefox-javaplugin.so alternative Closes: #673670
   * Add java6-{runtime|sdk|...} to the provides line in generated packages Closes: #684993
-  
+  * Add java6-{runtime|sdk|...} to the provides line in generated packages Closes: #684993
+  * Drop installation debconf note Closes: #685082
+
   [Emmanuel Bourg]
   * Improved detection of the JRE/JDK version (supports 2 digits Java 7 updates)
   * Brand and naming cleanup
diff --git a/debian/postinst b/debian/postinst
deleted file mode 100644 (file)
index cd46e5b..0000000
+++ /dev/null
@@ -1,14 +0,0 @@
-#!/bin/sh
-
-set -e
-
-if [ "$1" = "configure" ]
-then
-       . /usr/share/debconf/confmodule
-       db_input high java-package/postinst-note || true
-       db_go
-fi
-
-#DEBHELPER#
-
-exit 0
diff --git a/debian/prerm b/debian/prerm
deleted file mode 100644 (file)
index 501069b..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-
-set -e
-
-if [ "$1" = "purge" ]
-then
-       . /usr/share/debconf/confmodule
-       db_purge
-fi
-
-#DEBHELPER#
-
-exit 0
diff --git a/debian/templates b/debian/templates
deleted file mode 100644 (file)
index 249a1d6..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-Template: java-package/postinst-note
-Type: note
-Description: Java-package is now installed - You can invoke make-jpkg to build Java Debian packages
- To use it:
-   1) download one of the java binary archive listed below
-   2) invoke make-jpkg <archive-file> to build a Debian package from the downloaded archive-
-   3) install the generated package using dpkg
- .
- Supported Java binary distributions currently include:
-   * Oracle :
-     - The J2SE Development Kit (JDK), version 6 (update >= 10), 7
-     - The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
-     - The J2SE API Javadoc, version 6 (update >= 10), 7